Subject: Re: [PATCH] powerpc/perf: Add missing break in power7_marked_instr_event()

From: Segher Boessenkool <[email-masked]>
Date: Thu, 20 Sep 2018 09:47:15 -0500

On Thu, Sep 20, 2018 at 03:29:22PM +0530, Madhavan Srinivasan wrote:
> On Thursday 20 September 2018 03:11 PM, Michael Ellerman wrote:
> >In power7_marked_instr_event() there is a switch case that is missing
> >a break or an explicit fallthrough, it's not immediately clear which
> >it should be.

> Just curious to know, how did you find this. Static code checker compiled
> or any specific compiler warnings or just by code read?

Newer GCC warns about suspicious fallthroughs (-Wimplicit-fallthrough,
which is in -Wextra).

Segher